Returns court IDs (slugs) and names for use with the docket search endpoint. Use the returned court ID as the court parameter in legal.docket().
curl --request POST \
--url https://api.case.dev/legal/v1/courts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"jurisdiction": "<string>",
"inUseOnly": true,
"limit": 25,
"offset": 0
}
'{
"query": "<string>",
"jurisdiction": "<string>",
"inUseOnly": true,
"found": 123,
"courts": [
{
"id": "<string>",
"shortName": "<string>",
"fullName": "<string>",
"jurisdiction": "<string>",
"pacerCourtId": 123
}
]
}API key starting with sk_case_
Court lookup options
Search by court name or slug (e.g. "Northern District", "nysd", "ca9")
2 - 100Optional jurisdiction code filter (e.g. FD for Federal District, F for all Federal, S for State)
Only return courts with available docket data
Maximum number of courts to return
1 <= x <= 100Number of courts to skip before returning results
x >= 0Was this page helpful?
curl --request POST \
--url https://api.case.dev/legal/v1/courts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"jurisdiction": "<string>",
"inUseOnly": true,
"limit": 25,
"offset": 0
}
'{
"query": "<string>",
"jurisdiction": "<string>",
"inUseOnly": true,
"found": 123,
"courts": [
{
"id": "<string>",
"shortName": "<string>",
"fullName": "<string>",
"jurisdiction": "<string>",
"pacerCourtId": 123
}
]
}